Subject: RE: Xterm compiled with cygnus gcc
From: [email-masked] (Sergey Okhapkin)

9 Nov 1997 01:35:36 -0800
Message-ID: <01BCED06.717FAA30.cygnus.gnu-win32@sos>
To: "'Arlindo da Silva'" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Arlindo da Silva wrote:
> In the early days of b18 I tried to build xterm but it wasn't possible 
since
> it didn't have pseudo tty support. Since then Sergey Okhapkin and others 
have
> added many patches to cygwin.dll (including ptty support), so that xterm 
might
> compile by now.
>
> However, Sergey has compiled "rxvt", a xterm look-alike that AFAIK
> only lacks the Tektronix support that xterm has. You should find

It's not possible to compile xterm with cygwin.dll now :-( Xterm does a lot 
of initialisation of X libraries and then does fork(). But static data 
areas of dll's (libX11.dll this case) are not copied to a child on fork - 
it's a cygwin bug. So xterm even if compiles without errors, will not work 
properly.

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".